The description of an asset to be created by an AssetFactory.

### Hierarchy

- AssetReference

## Index

### Constructors

- constructor

### Properties

- data
- extension
- mimeType
- name
- textureOptions
- url

### Methods

- get_data
- get_extension
- get_mimeType
- get_name
- get_textureOptions
- get_url
- set_data
- set_extension
- set_mimeType
- set_name
- set_textureOptions
- set_url

## Constructors

### constructor

- new AssetReference(data: any): AssetReference

- - Defined in lib/starling/assets/AssetReference.d.ts:17

  Creates a new instance with the given data, which is typically some kind of file reference / URL or an instance of an asset class. If 'data' contains an URL, an equivalent value will be assigned to the 'url' property.

  #### Parameters

  - ##### data: any

  #### Returns AssetReference

## Properties

### data

data: any

- Defined in lib/starling/assets/AssetReference.d.ts:36

The raw data of the asset. This property often contains an URL; when it's passed to an AssetFactory, loading has already completed, and the property contains a ByteArray with the loaded data.

### extension

extension: string

- Defined in lib/starling/assets/AssetReference.d.ts:46

The file extension of the asset, if the filename or URL contains one.

### mimeType

mimeType: string

- Defined in lib/starling/assets/AssetReference.d.ts:41

The mime type of the asset, if loaded from a server.

### name

name: string

- Defined in lib/starling/assets/AssetReference.d.ts:24

The name with which the asset should be added to the AssetManager.

### textureOptions

textureOptions: TextureOptions

- Defined in lib/starling/assets/AssetReference.d.ts:51

The TextureOptions describing how to create a texture, if the asset references one.

### url

url: string

- Defined in lib/starling/assets/AssetReference.d.ts:29

The url from which the asset needs to be / has been loaded.

## Methods

### Protected get_data

- get_data(): any

- - Defined in lib/starling/assets/AssetReference.d.ts:37

  #### Returns any

### Protected get_extension

- get_extension(): string

- - Defined in lib/starling/assets/AssetReference.d.ts:47

  #### Returns string

### Protected get_mimeType

- get_mimeType(): string

- - Defined in lib/starling/assets/AssetReference.d.ts:42

  #### Returns string

### Protected get_name

- get_name(): string

- - Defined in lib/starling/assets/AssetReference.d.ts:25

  #### Returns string

### Protected get_textureOptions

- get_textureOptions(): TextureOptions

- - Defined in lib/starling/assets/AssetReference.d.ts:52

  #### Returns TextureOptions

### Protected get_url

- get_url(): string

- - Defined in lib/starling/assets/AssetReference.d.ts:30

  #### Returns string

### Protected set_data

- set_data(value: any): any

- - Defined in lib/starling/assets/AssetReference.d.ts:38

  #### Parameters

  - ##### value: any

  #### Returns any

### Protected set_extension

- set_extension(value: string): string

- - Defined in lib/starling/assets/AssetReference.d.ts:48

  #### Parameters

  - ##### value: string

  #### Returns string

### Protected set_mimeType

- set_mimeType(value: string): string

- - Defined in lib/starling/assets/AssetReference.d.ts:43

  #### Parameters

  - ##### value: string

  #### Returns string

### Protected set_name

- set_name(value: string): string

- - Defined in lib/starling/assets/AssetReference.d.ts:26

  #### Parameters

  - ##### value: string

  #### Returns string

### Protected set_textureOptions

- set_textureOptions(value: TextureOptions): TextureOptions

- - Defined in lib/starling/assets/AssetReference.d.ts:53

  #### Parameters

  - ##### value: TextureOptions

  #### Returns TextureOptions

### Protected set_url

- set_url(value: string): string

- - Defined in lib/starling/assets/AssetReference.d.ts:31

  #### Parameters

  - ##### value: string

  #### Returns string

Generated using TypeDoc